请选择 进入手机版 | 继续访问电脑版

编译安装mysql 8 报错:-- MySQL currently requires boost_1_69_0

[复制链接]
查看1199 | 回复0 | 2019-7-3 16:07:12 | 显示全部楼层 |阅读模式
一、故障现象

编译安装mysql 8时,执行cmake命令 报错:
  1. -- MySQL currently requires boost_1_69_0<div>
  2. CMake Error at cmake/boost.cmake:103 (MESSAGE):
  3.   You can download it with -DDOWNLOAD_BOOST=1 -DWITH_BOOST=<directory>

  4.   This CMake script will look for boost in <directory>.  If it is not there,
  5.   it will download and unpack it (in that directory) for you.

  6.   If you are inside a firewall, you may need to use an https proxy:

  7.   export https_proxy=http://example.com:80

  8. Call Stack (most recent call first):
  9.   cmake/boost.cmake:189 (COULD_NOT_FIND_BOOST)
  10.   CMakeLists.txt:836 (INCLUDE)


  11. -- Configuring incomplete, errors occurred!
  12. See also "/usr/local/mysql-8.0.16/CMakeFiles/CMakeOutput.log".
  13. See also "/usr/local/mysql-8.0.16/CMakeFiles/CMakeError.log".</div>
复制代码


二、解决方法

cmake命令 加上 -DDOWNLOAD_BOOST=1  和 -DWITH_BOOST=boost路径(任意建一个目录) 这两个参数。




上一篇:编译安装mysql8 报错:Please do not build in-source. Out-of source builds are highly
下一篇:编译安装Mysql 8 报错:Cannot find appropriate system libraries for WITH_SSL=system.
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

1249

主题

2736

帖子

7万

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
70233
QQ